Subject: Re: [RTG-DIR] RtgDir review: draft-ietf-trill-directory-assist-mechanisms​-03.txt

From: Donald Eastlake <[email-masked]>
Date: Thu, 13 Aug 2015 12:17:09 -0400

Hi Matthew,

My apologies for the delay in this response.

On Fri, Jul 31, 2015 at 10:06 AM, Bocci, Matthew (Matthew)
<[email-masked]> wrote:
>
> Hello,
>
> I have been selected as the Routing Directorate reviewer for this draft.
> The Routing Directorate seeks to review all routing or routing-related
> drafts as they pass through IETF last call and IESG review, and
> sometimes on special request. The purpose of the review is to provide
> assistance to the Routing ADs. For more information about the Routing
> Directorate, please see
> http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir
>
> Although these comments are primarily for the use of the Routing ADs, it
> would be helpful if you could consider them along with any other IETF
> Last Call comments that you receive, and strive to resolve them through
> discussion or by updating the draft.
>
> Document: draft-ietf-trill-directory-assist-mechanisms-03.txt
> Reviewer: Matthew Bocci
> Review Date: July 2015
> IETF LC End Date: Unknown
> Intended Status: Proposed Standard
>
> Summary:
> I have some minor concerns about this
> document that I think should be resolved before publication.
>
> Comments:
>
> The draft is mostly ready for publication, but I have some comments
> related to which procedures are mandatory to implement, and which
> are optional (see minor issues below). I've flagged this because in
> my experience it is very important for an RFC to be crystal clear
> about what is mandatory for successful interoperability.
>
> Major Issues:
>
> No major issues.
>
> Minor Issues:
>
> In general, it is very unclear if it is mandatory to implement both
> push and pull, or if it is adequate to just implement one or the
> other. I appreciate that a hybrid mode is possible, in which case an
> implementation would need to support both, but this is only
> described at the end in section 4, almost as an afterthought. It
> would be much better if the draft could be clear up-front which is
> the mandatory (default) mode, or if both must be implemented if the
> expectation is that the default operating model is hybrid.

Good point. Implementation of push and pull are independent and a
directory can support one, the other, or both. Will add explicit words
to that effect.

> Section: "1. Introduction"
> 1st Paragraph: Last sentence
> "These mechanisms are optional to implement."
>
> This statement seems redundant, since technically the whole RFC is
> optional unless another RFC makes a normative reference to it :) I
> think you should either remove this statement, or use it to clarify
> which modes are optional and which are mandatory.

Seems like a reasonable place to clarify the independent optionality
of the push and pull modes.

> Pg14:
> "If information previously
>    pulled is about to expire, a TRILL switch MAY try to refresh it by
>    issuing a new pull request but, to avoid unnecessary requests, SHOULD
>    NOT do so if it has not been recently used."
>
> Can you give more information on what you mean by "recently"? Some
> non-normative guidance might be helpful to prevent wildly differing
> or unpredictable behaviours in a multi-vendor deployment.

I don't see any way that wildly differing interpretations of
"recently", in this case, could result in incorrect behavior. Maybe
all of the sentence after "pull request" should be dropped.

> Nits:
>
> - There are a few uncommon acronyms. Please expand all acronyms on first
> use.

OK.

> - Pg4 s/MacDA/MAC DA

MacDA is common in TRILL documents including RFC 6325, the TRILL base
protocol document, although there it is always Inner.MacDA or
Outer.MacDA (or Inner.MacSA or Outer.MacSA). In this document, there
are two occurrences of "MacDA", although one is just in the acronyms
list, and two occurrences of "Inner.MacDA". I don't see any particular
problem expanding the one isolated occurrence of "MacDA" in body text
and changing the acronym entry to be for "Inner.MacDA". But I would
prefer not to change the two existing occurrenes of Inner.MacDA, which
refers to the MAC addresses after the TRILL header in a TRILL data
packet.

> - Pg8 s/angel bracket/angle bracket

OK.

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]